VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2:
[legend]

## Public Member Functions

| PhysicalDeviceSparseImageFormatInfo2 (Format format_=Format::eUndefined, ImageType type_=ImageType::e1D, SampleCountFlagBits samples_=SampleCountFlagBits::e1, ImageUsageFlags usage_=ImageUsageFlags(), ImageTiling tiling_=ImageTiling::eOptimal)
| PhysicalDeviceSparseImageFormatInfo2 (VkPhysicalDeviceSparseImageFormatInfo2 const &rhs)
PhysicalDeviceSparseImageFormatInfo2 & | operator= (VkPhysicalDeviceSparseImageFormatInfo2 const &rhs)
PhysicalDeviceSparseImageFormatInfo2 & | setPNext (const void *pNext_)
PhysicalDeviceSparseImageFormatInfo2 & | setFormat (Format format_)
PhysicalDeviceSparseImageFormatInfo2 & | setType (ImageType type_)
PhysicalDeviceSparseImageFormatInfo2 & | setSamples (SampleCountFlagBits samples_)
PhysicalDeviceSparseImageFormatInfo2 & | setUsage (ImageUsageFlags usage_)
PhysicalDeviceSparseImageFormatInfo2 & | setTiling (ImageTiling tiling_)
| operator VkPhysicalDeviceSparseImageFormatInfo2 const & () const
| operator VkPhysicalDeviceSparseImageFormatInfo2 & ()
bool | operator== (PhysicalDeviceSparseImageFormatInfo2 const &rhs) const
bool | operator!= (PhysicalDeviceSparseImageFormatInfo2 const &rhs) const

## Data Fields

const void * | pNext = nullptr
Format | format
ImageType | type
SampleCountFlagBits | samples
ImageUsageFlags | usage
ImageTiling | tiling

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceSparseImageFormatInfo2

## Detailed Description

Definition at line 27881 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceSparseImageFormatInfo2() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::PhysicalDeviceSparseImageFormatInfo2 | ( | Format | format_ = `Format::eUndefined`,
|  | ImageType | type_ = `ImageType::e1D`,
|  | SampleCountFlagBits | samples_ = `SampleCountFlagBits::e1`,
|  | ImageUsageFlags | usage_ = `ImageUsageFlags()`,
|  | ImageTiling | tiling_ = `ImageTiling::eOptimal`
| ) |  |

inline

Definition at line 27883 of file vulkan.hpp.

: format( format_ )
, type( type_ )
, samples( samples_ )
, usage( usage_ )
, tiling( tiling_ )
{
}

## PhysicalDeviceSparseImageFormatInfo2() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::PhysicalDeviceSparseImageFormatInfo2 | ( | VkPhysicalDeviceSparseImageFormatInfo2 const & | rhs | ) |

inline

Definition at line 27896 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceSparseImageFormatInfo2 ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceSparseImageFormatInfo2 &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::operator VkPhysicalDeviceSparseImageFormatInfo2 & | ( |  | ) |

inline

Definition at line 27947 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceSparseImageFormatInfo2*>(this);
}

## operator VkPhysicalDeviceSparseImageFormatInfo2 const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::operator VkPhysicalDeviceSparseImageFormatInfo2 const & | ( |  | ) | const

inline

Definition at line 27942 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceSparseImageFormatInfo2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::operator!= | ( | PhysicalDeviceSparseImageFormatInfo2 const & | rhs | ) | const

inline

Definition at line 27963 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceSparseImageFormatInfo2& VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::operator= | ( | VkPhysicalDeviceSparseImageFormatInfo2 const & | rhs | ) |

inline

Definition at line 27901 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceSparseImageFormatInfo2 ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::operator== | ( | PhysicalDeviceSparseImageFormatInfo2 const & | rhs | ) | const

inline

Definition at line 27952 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( format == rhs.format )
&& ( type == rhs.type )
&& ( samples == rhs.samples )
&& ( usage == rhs.usage )
&& ( tiling == rhs.tiling );
}

References format, pNext, samples, sType, tiling, type, and usage.

Referenced by operator!=().

## setFormat()

PhysicalDeviceSparseImageFormatInfo2& VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::setFormat | ( | Format | format_ | ) |

inline

Definition at line 27912 of file vulkan.hpp.

{
format = format_;
return *this;
}

## setPNext()

PhysicalDeviceSparseImageFormatInfo2& VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 27906 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSamples()

PhysicalDeviceSparseImageFormatInfo2& VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::setSamples | ( | SampleCountFlagBits | samples_ | ) |

inline

Definition at line 27924 of file vulkan.hpp.

{
samples = samples_;
return *this;
}

## setTiling()

PhysicalDeviceSparseImageFormatInfo2& VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::setTiling | ( | ImageTiling | tiling_ | ) |

inline

Definition at line 27936 of file vulkan.hpp.

{
tiling = tiling_;
return *this;
}

References tiling.

## setType()

PhysicalDeviceSparseImageFormatInfo2& VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::setType | ( | ImageType | type_ | ) |

inline

Definition at line 27918 of file vulkan.hpp.

{
type = type_;
return *this;
}

## setUsage()

PhysicalDeviceSparseImageFormatInfo2& VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::setUsage | ( | ImageUsageFlags | usage_ | ) |

inline

Definition at line 27930 of file vulkan.hpp.

{
usage = usage_;
return *this;
}

## Field Documentation

## format

Format VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::format

Definition at line 27973 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::pNext = nullptr

Definition at line 27972 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## samples

SampleCountFlagBits VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::samples

Definition at line 27975 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::sType = StructureType::ePhysicalDeviceSparseImageFormatInfo2

private

Definition at line 27969 of file vulkan.hpp.

Referenced by operator==().

## tiling

ImageTiling VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::tiling

Definition at line 27977 of file vulkan.hpp.

Referenced by operator==(), and setTiling().

## type

ImageType VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::type

Definition at line 27974 of file vulkan.hpp.

Referenced by operator==().

## usage

ImageUsageFlags VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::usage

Definition at line 27976 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

format
GLint GLint GLsizei GLsizei GLsizei GLint GLenum format
Definition: SDL_opengl.h:1572
VkPhysicalDeviceSparseImageFormatInfo2
Definition: vulkan_core.h:4204
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::operator==
bool operator==(PhysicalDeviceSparseImageFormatInfo2 const &rhs) const
Definition: vulkan.hpp:27952
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::pNext
const void * pNext
Definition: vulkan.hpp:27972
samples
GLsizei samples
Definition: SDL_opengl_glext.h:1185
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::tiling
ImageTiling tiling
Definition: vulkan.hpp:27977
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::usage
ImageUsageFlags usage
Definition: vulkan.hpp:27976
usage
GLsizeiptr const void GLenum usage
Definition: SDL_opengl_glext.h:537
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::sType
StructureType sType
Definition: vulkan.hpp:27969
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::type
ImageType type
Definition: vulkan.hpp:27974
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::PhysicalDeviceSparseImageFormatInfo2
PhysicalDeviceSparseImageFormatInfo2(Format format_=Format::eUndefined, ImageType type_=ImageType::e1D, SampleCountFlagBits samples_=SampleCountFlagBits::e1, ImageUsageFlags usage_=ImageUsageFlags(), ImageTiling tiling_=ImageTiling::eOptimal)
Definition: vulkan.hpp:27883
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::format
Format format
Definition: vulkan.hpp:27973
type
GLuint GLuint GLsizei GLenum type
Definition: SDL_opengl.h:1571
VULKAN_HPP_NAMESPACE::PhysicalDeviceSparseImageFormatInfo2::samples
SampleCountFlagBits samples
Definition: vulkan.hpp:27975